From 7464bf300902f8b042edf302e192809ea4deaf15 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Tue, 13 Jul 2021 10:50:35 +1000
Subject: [PATCH v18] tmp - Gregs hack to avoid error

---
 src/backend/replication/pgoutput/pgoutput.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/backend/replication/pgoutput/pgoutput.c b/src/backend/replication/pgoutput/pgoutput.c
index 08c018a..352dd4c 100644
--- a/src/backend/replication/pgoutput/pgoutput.c
+++ b/src/backend/replication/pgoutput/pgoutput.c
@@ -1256,8 +1256,9 @@ get_rel_sync_entry(PGOutputData *data, Relation relation)
 		}
 
 		/* create a tuple table slot for row filter */
-		tupdesc = RelationGetDescr(relation);
+		//tupdesc = RelationGetDescr(relation);
 		oldctx = MemoryContextSwitchTo(CacheMemoryContext);
+		tupdesc = CreateTupleDescCopy(RelationGetDescr(relation));
 		entry->scantuple = MakeSingleTupleTableSlot(tupdesc, &TTSOpsHeapTuple);
 		MemoryContextSwitchTo(oldctx);
 
-- 
1.8.3.1

